#!/bin/sh
#
# $FreeBSD: ports/net-mgmt/net-snmp/files/snmpd.sh.sample,v 1.7 2006/02/20 20:47:33 dougb Exp $
#
# PROVIDE: snmpd
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable snmpd:
#
# snmpd_enable="YES"
#

snmpd_enable=${snmpd_enable-"NO"}
snmpd_flags=${snmpd_flags-"-p /var/run/snmpd.pid"}

. /etc/rc.subr

load_rc_config net_snmpd

if [ ! -z "$net_snmpd_enable" ]; then
    echo "Warning: \$net_snmpd_enable is obsoleted."
    echo "         Use \$snmpd_enable instead."
    snmpd_enable="$net_snmpd_enable"
    [ ! -z "$net_snmpd_flags" ] && snmpd_flags="$net_snmpd_flags"
fi

name=snmpd
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}
pidfile=/var/run/${name}.pid
sig_stop=-KILL

load_rc_config ${name}
run_rc_command "$1"
